!lua

-- Cabin Lights for AIG A342.lua
-- Turn off lightmap between 10 PM and 7 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.5

if CabinLight > 0 or LocalTime > 25200 and LocalTime < 79200 then
    TextureName = "AIG_A342_l.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)