!lua

-- Cabin Lights for AIG A343.lua
-- Turn off lightmap when the plane is not operating.

local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.5

if CabinLight > 0 then
    TextureName = "AIG_A343_l.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)